<!DOCTYPE html>

<html lang="de">
	<head>
		<title>Labyrinth Projekt</title>

		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		
		<link rel="stylesheet" href="assets/stylesheets/main.css" />
		<link rel="stylesheet" href="assets/stylesheets/range.css" />

		<script src="assets/javascripts/core/errors.js"></script>
		<script src="assets/javascripts/core/element.js"></script>
		<script src="assets/javascripts/core/core.js"></script>
		<script src="assets/javascripts/app.js"></script>
	</head>
	<body>
		<div id="errors" class="d-none"></div>
		<div id="wrapper">
			<div id="app">
				<div id="labyrinth" class="border-dark centered">
					<h1>Bitte generieren Sie ein Labyrinth</h1>
				</div>
				<div id="control" class="form-container">
					<div id="fields">
						<div id="inputs">
							<div class="form-field">
								<label for="labyrinth-width">Breite</label>
								<input id="labyrinth-width" type="text" value="20" step="1" />
							</div>
							<div class="form-field">
								<label for="labyrinth-height">Höhe</label>
								<input id="labyrinth-height" type="text" value="20" step="1" />
							</div>
						</div>
						<div id="ranges" class="form-field">
							<label for="labyrinth-difficulty">Schwierigkeitsstufe</label>
							<input id="labyrinth-difficulty" type="range" value="0.5" min="0" max="1" step="0.01" />
							<legend>
								<label for="labyrinth-difficulty">Leicht</label>
								<label for="labyrinth-difficulty">Mittel</label>
								<label for="labyrinth-difficulty">Schwer</label>
							</legend>
						</div>
					</div>
					<div class="button-container" id="button-container-submit">
						<button id="btn-submit" type="button" class="button">Generieren</button>
					</div>
				</div>
				</div>
			</div>
		</div>
	</body>
</html>